## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanNullOutputStream Class Reference

`#include <XalanNullOutputStream.hpp>`

Inheritance diagram for XalanNullOutputStream:

[legend]
Collaboration diagram for XalanNullOutputStream:

[legend]
List of all members.

## Public Methods

- XalanNullOutputStream (MemoryManagerType &theManager)
- virtual ~XalanNullOutputStream ()

## Protected Methods

- virtual void writeData (const char *theBuffer, size_type theBufferLength)
    Write the data in the buffer. More...
- virtual void doFlush ()
    Flush the stream. More...

## Constructor & Destructor Documentation

XalanNullOutputStream::XalanNullOutputStream ( | MemoryManagerType & theManager )`[explicit]`

XalanNullOutputStream::~XalanNullOutputStream ( | )`[virtual]`

## Member Function Documentation

void XalanNullOutputStream::doFlush ( | )`[protected, virtual]`

| Flush the stream. Reimplemented from XalanOutputStream.

void XalanNullOutputStream::writeData ( | const char * theBuffer,
| size_type theBufferLength )`[protected, virtual]`

Write the data in the buffer.

Parameters:

  theBuffer | The data to write
  theBufferLength | The length of theBuffer.

Reimplemented from XalanOutputStream.

The documentation for this class was generated from the following file:

- XalanNullOutputStream.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.